# Generated automatically from Makefile.in by configure.
prefix=/usr
prgdir=/lib/Chinput
imdir=/lib/Chinput/im

all:
	cd server; make
	cd client; make
	cd ImmModules/cce; make
	cd ImmModules/turbo;  make

ccedata:
	cd ImmModules/cce/inputs; make

tldata:
	cd ImmModules/turbo; make data

data: ccedata tldata

data-install:
	if [ ! -d $(prefix) ] ; then mkdir -p $(prefix); fi
	if [ ! -d $(prefix)$(imdir) ] ; then mkdir -p $(prefix)$(imdir); fi
	if [ ! -d $(prefix)/bin ] ; then mkdir -p $(prefix)/bin; fi
	cd ImmModules/cce/inputs; make install
	cd ImmModules/turbo; make data-install

install: 
	if [ ! -d $(prefix) ] ; then mkdir -p $(prefix); fi
	if [ ! -d $(prefix)$(imdir) ] ; then mkdir -p $(prefix)$(imdir); fi
	if [ ! -d $(prefix)/bin ] ; then mkdir -p $(prefix)/bin; fi
	cd server; make install
	cd client; make install
	cd ImmModules/cce; make install
	cd ImmModules/turbo; make install
	cp -f *.tab $(prefix)$(imdir)

clean:
	cd server; make clean
	cd client; make clean
	cd ImmModules/cce; make clean
	cd ImmModules/cce/inputs; make clean
	cd ImmModules/turbo; make clean

distclean: clean
	rm -f config.status config.log config.cache Makefile
	cd server; make distclean
	cd client; make distclean
	cd ImmModules/cce; make distclean
	cd ImmModules/cce/inputs; make distclean
	cd ImmModules/turbo; make distclean
	rm -f *.bak

